net.i2p.app

## Enum ClientAppState

- java.lang.Object
- - java.lang.Enum<ClientAppState>
  - - net.i2p.app.ClientAppState

- All Implemented Interfaces:
    Serializable, Comparable<ClientAppState>

      public enum ClientAppState
      extends Enum<ClientAppState>

  Status of a client application. ClientAppManager.notify() must be called on all state transitions except from UNINITIALIZED to INITIALIZED.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CRASHED` stopped abnormally
    `FORKED` forked as a new process, status unknown from now on
    `INITIALIZED` after constructor is complete
    `RUNNING`
    `START_FAILED`
    `STARTING`
    `STOPPED` stopped normally
    `STOPPING`
    `UNINITIALIZED` initial value

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientAppState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ClientAppState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CRASHED

          public static final ClientAppState CRASHED

      stopped abnormally

    - #### FORKED

          public static final ClientAppState FORKED

      forked as a new process, status unknown from now on

    - #### INITIALIZED

          public static final ClientAppState INITIALIZED

      after constructor is complete

    - #### RUNNING

          public static final ClientAppState RUNNING

    - #### START_FAILED

          public static final ClientAppState START_FAILED

    - #### STARTING

          public static final ClientAppState STARTING

    - #### STOPPED

          public static final ClientAppState STOPPED

      stopped normally

    - #### STOPPING

          public static final ClientAppState STOPPING

    - #### UNINITIALIZED

          public static final ClientAppState UNINITIALIZED

      initial value

  - ### Method Detail

    - #### valueOf

          public static ClientAppState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static ClientAppState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClientAppState c : ClientAppState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared